set(0,'DefaultLineLineWidth',3);
clf;
% Pag. 19 de practicas. pdf caps 4-5
% S'(t) = -a*S(t)*I(t) + c*I(t)
% I'(t) = -b*I(t)+a*S(t)*I(t)-c*I(t)
% R'(t) = b*I(t)
a = 0.05;
b = 0.02;
c = 0.005;
h = .01;
SIR = @(t,X) [-a*X(1).*X(2)+c*X(2);...
    -(b-c)*X(2)+a*X(1).*X(2)-c*X(2);...
    (b-c)*X(2)];
t=[0:h:1000];
SIR0=[1;0.01;0];
Y=heunvector(SIR, t, SIR0);
M=max(max(Y));
clf
plot(t,Y(1,:),'k',t,Y(2,:),'r',t,Y(3,:),'b');
ylim([0 M]);

