% caida libre con rozamiento
set(0,'DefaultLineLineWidth',3);
clf;
% tiempo
t=[0:.01:2500];
% altura inicial
h0=1000;
% velocidad inicial
v0=10;
% masa
m=10;
% coef. rozamiento
r=0.1;
% gravedad
g=9.81;

% 2 Ley de Newton
% y' = v
% v' = -g - r/m * v
f=@(t, X)...
    [X(2);...
     -g - r/m * X(2)];

% solucion
Y = heunvector(f,t,[h0;v0]);

% si el tiempo es demasiado largo, la
% velocidad no se ve bien
plot(t, Y);

disp('Enter');
pause;

% solo la altura
% empieza como una parabola pero termina siendo
%   casi una recta
plot(t, Y(1,:));


disp('Enter');
pause;

% solo la velocidad:
%    hay una velocidad limite que depende de g, r, m
clf
plot(t,Y(2,:));
