% muelle con rozamiento
set(0,'DefaultLineLineWidth',3);
clf;
% tiempo
t=[0:.01:100];
% elongacion inicial
l0=0.5;
% velocidad inicial
v0=0.1;
% masa
m=2;
% coef. rozamiento
r=0.2;
% constante de Hooke
k=0.1;

% curva de amortiguamiento exponencial
am = @(t) 0.5*exp(-r/(2*m)*t);

% 2 Ley de Newton
% y' = v
% v' = (-k*y - r * v)/m
f=@(t, X)...
    [X(2);...                % esto es y'=v
     (-k/m*X(1) - r*X(2))/m];  % esto es v'=-k/m*y-r/m*v

% solucion
Y = heunvector(f,t,[l0;v0]);

% longitud azul
% velocidad rojo
% amortiguamiento rayado
plot(t, Y, t, am(t),'--');


disp('Enter');
pause;

% solo la altura
% empieza como una parabola pero termina siendo
%   casi una recta
plot(t, Y(1,:),t,am(t),'--');



