set(0,'DefaultLineLineWidth',3);clf;

% nube de puntos como en el video (cambiar)
% la x son las coordenadas x
% la y son las coordenadas y
% la xx es el intervalo de las x "para dibujar",
%    con mucha resolucion
x = [-2 0 5 10];
y = [1 4 -1 7];
xx = [-2:.01:10];

% dibujamos la nube
plot(x,y,'o');

title({'Splines cubicos: misma nube', '3 condiciones distintas'},...
    'FontSize',25);

% spline con tangente -3 y 3 en cada extremo:
% se anyaden al principio y al final de la lista
y1 = [-3 y 3];

% spline calcula el spline y devuelve sus valores en
%   la lista xx
yy1 = spline(x,y1,xx);

% asi que podemos dibujar "el spline interpolador"
hold on
plot(xx,yy1);


% spline con tangente 0 en extremos
y1 = [0 y 0];
yy1 = spline(x,y1,xx);
hold on
plot(xx,yy1);

% spline con tangente = 3,-3 en extremos
y2 = [3 y -3];
yy2 = spline(x,y2,xx);
hold on
plot(xx,yy2);

disp('presione una tecla');
pause;

% de -3 a 3, y la misma en el otro extremo
% con incrementos de .04
clf
for k=-3:.04:3
%    l=rand()*6-3;
    l = k;
    yk = [k y k];
    yyk = spline(x,yk,xx);
    clf
    plot(xx,yyk);
    hold on
    plot(x,y,'o');
    title({'Misma nube, diferentes', 'tangentes en los extremos'}, ...
    'FontSize', 25);
    incx1 = 1*cos(atan(k));
    incx2 = 1*cos(atan(l));
    plot([-2 -2+incx1],[1,1+incx1*k],'r-','LineWidth',2);
    plot([10 10-incx2],[7 7-incx2*l],'r','LineWidth',2);
    ylim([-2 9]);
    pause(1/24);
end

% elegir pendiente al azar

disp('presione una tecla');
disp('Para terminar: presione Control-C');
clf
for c=1:1000
    k = rand()*6-3;
    l =rand()*6-3;
    yk = [k y l];
    yyk = spline(x,yk,xx);
    plot(xx,yyk);
    hold on
    plot(x,y,'o');
    incx1 = 1*cos(atan(k));
    incx2 = 1*cos(atan(l));
    title({'Misma nube, diferentes', 'tangentes en los extremos'}, ...
    'FontSize', 25);
    plot([-2 -2+incx1],[1,1+incx1*k],'r-','LineWidth',2);
    plot([10 10-incx2],[7 7-incx2*l],'r','LineWidth',2);
    ylim([-2 9]);
    pause(1/24);
    pause()
end

