% para que se vea algo
set(0,'DefaultLineLineWidth',4);
clf;


DATA = [ -2   0.0338; ...
 -1.5   0.0397; ...
 -1   0.4119; ...
 -0.5   1.862; ...
 0   3.013; ...
 0.5   1.856; ...
 1   0.4240; ...
 1.5   0.0485; ...
 2   0.0249];

x = DATA(:,1)'; % coord. x en horizontal
Y = DATA(:,2);
plot(x,Y,'*');

disp('esa es la nube original');
disp('presiona una tecla');
pause

logY = log(DATA(:,2));
plot(x, logY,'*');

disp('esa es la nube de los log(y)');
disp('presiona una tecla');
pause

% minimos cuadrados para los logs
X = [ones(size(x)); ...
     x.^2];
Y2 = X*logY;
A = X*X';
% parametros a y b del problema con logaritmos
solLog = A\Y2

% parabola:
f = @(t) solLog(1)*ones(size(t)) + solLog(2)*t.^2;
% puntos para ver la parabola
T = [-2:.01:2];
hold on
plot(T, f(T))

disp('esa es la solucion de min. cuadrados para la nube de logs con A + Bx^2');
disp('presiona una tecla');
pause

clf
plot(x,Y,'*');
hold on
plot(T,exp(solLog(1))*exp(solLog(2)*T.^2));
disp('esa es la exponencial de la parabola (muy mala aproximacion)');
disp('presiona una tecla');
pause
plot(T, 3*exp(-2*T.^2));
disp('y esa es la mejor aproximacion como exponencial gaussiana');
disp('que no se puede calcular con Min. Cuadr. lineales');




